package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DataSyncOutMapper;
import com.sa.ibiz.demo.demo.domain.DataSyncOut;
import com.sa.ibiz.demo.demo.service.DataSyncOutService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DataSyncOutSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[DataSyncOut] 服务对象接口实现
 */
@Service
public class DataSyncOutServiceImpl extends ServiceImplBase<DataSyncOutMapper, DataSyncOut> implements DataSyncOutService{

    @Autowired
    private DataEntityService deService;

    @Resource
    private DataSyncOutMapper datasyncoutMapper;


    @Override
    public boolean create(DataSyncOut et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DataSyncOut et){
        this.beforeUpdate(et);
		this.datasyncoutMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DataSyncOut et){
		return et.getDatasyncoutid();  
    }

    @Override
    public boolean getDraft(DataSyncOut et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<DataSyncOut> listDefault(DataSyncOutSearchFilter filter) {
		return datasyncoutMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DataSyncOut> searchDefault(DataSyncOutSearchFilter filter) {
		return datasyncoutMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return datasyncoutMapper.selectRow(sql);
    }

 }